## genometools 1.5.9+ds

=== Makefile ===
#
# Copyright (c) 2006-2014 Gordon Gremme <gordon@gremme.org>
# Copyright (c) 2008-2014 Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>
# Copyright (c) 2006-2013 Center for Bioinformatics, University of Hamburg
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

INCLUDEOPT:=-I$(CURDIR)/src -I$(CURDIR)/obj

ifeq ($(shell pkg-config --version > /dev/null 2> /dev/null; echo $$?),0)
  HAS_PKGCONFIG:=yes
  # Fix for Mac OS X manual building with Homebrew
  OLD_PKG_CONFIG_PATH:=$(PKG_CONFIG_PATH)
  OVERRIDE_PC_PATH:=PKG_CONFIG_PATH=$(OLD_PKG_CONFIG_PATH):/usr/local/lib/pkgconfig:/opt/X11/lib/pkgconfig
else
  HAS_PKGCONFIG:=no
endif

# add necessary shared lib dependencies instead of building them ourselves
ifeq ($(useshared),yes)
  ifeq ($(HAS_PKGCONFIG),yes)
    DEPLIBS:=-lbz2 \
             $(shell $(OVERRIDE_PC_PATH) pkg-config --libs zlib) \
             $(shell $(OVERRIDE_PC_PATH) pkg-config --libs expat) \
             $(shell $(OVERRIDE_PC_PATH) pkg-config --libs lua-5.1) \
             $(shell $(OVERRIDE_PC_PATH) pkg-config --libs lua5.1-lpeg) \
             $(shell $(OVERRIDE_PC_PATH) pkg-config --libs lua5.1-md5) \
             $(shell $(OVERRIDE_PC_PATH) pkg-config --libs lua5.1-filesystem) \
             $(shell $(OVERRIDE_PC_PATH) pkg-config --libs lua5.1-des56) \
             -lbam \
             $(shell $(OVERRIDE_PC_PATH) pkg-config --libs tre) \
             -lm -lpthread
    INCLUDEOPT+=$(shell $(OVERRIDE_PC_PATH) pkg-config --cflags zlib) \
                $(shell $(OVERRIDE_PC_PATH) pkg-config --cflags expat) \
                $(shell $(OVERRIDE_PC_PATH) pkg-config --cflags lua-5.1) \
                $(shell $(OVERRIDE_PC_PATH) pkg-config --cflags lua5.1-lpeg) \
                $(shell $(OVERRIDE_PC_PATH) pkg-config --cflags lua5.1-md5) \
                $(shell $(OVERRIDE_PC_PATH) pkg-config --cflags lua5.1-filesystem) \
                $(shell $(OVERRIDE_PC_PATH) pkg-config --cflags lua5.1-des56) \
                $(shell $(OVERRIDE_PC_PATH) pkg-config --cflags tre)
  else
    # Requested the use of shared libraries without having pkg-config.
    # You are on your own.  Good luck.
    DEPLIBS:=-lbz2 -lz -lexpat -llua5.1-lpeg -llua5.1 -llua5.1-md5 \
             -llua5.1-filesystem -llua5.1-des56 -lbam -ltre -lm -lpthread
  endif
else
  DEPLIBS:=
  INCLUDEOPT+=-I$(CURDIR)/src/external/zlib-1.2.8 \
              -I$(CURDIR)/src/external/md5-1.2/src \
              -I$(CURDIR)/src/external/lua-5.1.5/src \
              -I$(CURDIR)/src/external/luafilesystem-1.5.0/src \
              -I$(CURDIR)/src/external/lpeg-0.10.2 \
              -I$(CURDIR)/src/external/expat-2.0.1/lib \
              -I$(CURDIR)/src/external/bzip2-1.0.6 \
              -I$(CURDIR)/src/external/samtools-0.1.18 \
              -I$(CURDIR)/src/external/sqlite-3.8.7.1 \
              -I$(CURDIR)/src/external/tre/include
endif

ifneq ($(cairo),no)
  # XXX: check for existence of packages, and emit warning and disable cairo
  # if packages are not available
  ifeq ($(HAS_PKGCONFIG),yes)
	INCLUDEOPT+=$(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --cflags-only-I pango) \
	            $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --cflags-only-I cairo) \
	            $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --cflags-only-I pangocairo) \
	            $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --cflags-only-I glib-2.0)
  endif
endif

ifneq ($(fpic),no)
  FPIC:=-fPIC
endif

# these variables are exported by the configuration script
ifndef CC
  CC:=gcc
endif
ifndef CXX
  CXX:=g++
endif
EXP_CFLAGS:=$(CFLAGS)
EXP_LDFLAGS:=$(LDFLAGS)
EXP_CXXFLAGS:=$(CXXFLAGS)
EXP_CPPFLAGS:=$(CPPFLAGS)
EXP_LDLIBS:=$(LIBS) -lm
# ...while those starting with GT_ are for internal purposes only
GT_CFLAGS:=-g -Wall -Wunused-parameter -pipe $(FPIC) -Wpointer-arith -Wno-unknown-pragmas
# expat needs -DHAVE_MEMMOVE
# zlib needs -D_LARGEFILE64_SOURCE=1 -DHAVE_HIDDEN
EXT_FLAGS:= -DHAVE_MEMMOVE -D_LARGEFILE64_SOURCE=1 -DHAVE_HIDDEN
EXP_CPPFLAGS+=-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 $(EXT_FLAGS)
GT_CPPFLAGS:=$(INCLUDEOPT)
GT_CXXFLAGS:=-g -pipe
GT_LDFLAGS:=-Llib
STEST_FLAGS:=
EXP_LDFLAGS+=$(foreach dir, \
	$(shell test -d /usr/local/lib && echo /usr/local/lib ; \
	        test -d /usr/X11R6/lib && echo /usr/X11R6/lib ; \
                test -d /opt/local/lib && echo /opt/local/lib),-L$(dir))
BUILDSTAMP:=$(shell date +'"%Y-%m-%d %H:%M:%S"')

# try to set RANLIB automatically
SYSTEM?=$(shell uname -s)
MACHINE:=$(shell uname -m)
ifeq ($(SYSTEM),Darwin)
  RANLIB:=ranlib
  NO_STATIC_LINKING:=defined
  SHARED:=-dynamiclib -undefined dynamic_lookup
  SHARED_OBJ_NAME_EXT:=.dylib
  ifeq ($(universal),yes)
    MACHINE:="Universal_Binary"
    GT_CFLAGS+=-arch i386 -arch ppc -arch_errors_fatal
    GT_LDFLAGS+=-arch i386 -arch ppc -arch_errors_fatal
  endif
  ifeq ($(ppc),yes)
    MACHINE:="Power_Macintosh"
    GT_CFLAGS+=-arch ppc -arch_errors_fatal
    GT_LDFLAGS+=-arch ppc -arch_errors_fatal
  endif
  # these tests are disabled for now on Mac
  TEST_KEYWORDS:=-keywords \
		'not gt_ruby and not gt_sketch and not gt_seqlensort'
else
  SHARED_OBJ_NAME_EXT:=.so
  SHARED:=-shared
endif

# compiled executables
GTMAIN_SRC:=src/gt.c src/gtr.c src/gtt.c src/interactive.c
GTMAIN_OBJ:=$(GTMAIN_SRC:%.c=obj/%.o)
GTMAIN_DEP:=$(GTMAIN_SRC:%.c=obj/%.d)

EXAMPLES_SRC:=src/example.c
EXAMPLES_DEP:=$(EXAMPLES_SRC:%.c=obj/%.d)

TOOLS_SRC:=$(sort $(wildcard src/tools/*.c))
TOOLS_OBJ:=$(TOOLS_SRC:%.c=obj/%.o)
TOOLS_DEP:=$(TOOLS_SRC:%.c=obj/%.d)

EXPAT_DIR:=src/external/expat-2.0.1/lib
LIBEXPAT_SRC:=$(EXPAT_DIR)/xmlparse.c $(EXPAT_DIR)/xmlrole.c \
              $(EXPAT_DIR)/xmltok.c
LIBEXPAT_OBJ:=$(LIBEXPAT_SRC:%.c=obj/%.o)
LIBEXPAT_DEP:=$(LIBEXPAT_SRC:%.c=obj/%.d)

TRE_DIR:=src/external/tre/lib
TRE_CPPFLAGS=-I$(CURDIR)/src/external/tre/include/tre
LIBTRE_SRC:=$(TRE_DIR)/regcomp.c $(TRE_DIR)/regerror.c $(TRE_DIR)/regexec.c \
            $(TRE_DIR)/tre-ast.c $(TRE_DIR)/tre-compile.c \
            $(TRE_DIR)/tre-filter.c $(TRE_DIR)/tre-match-backtrack.c \
            $(TRE_DIR)/tre-match-parallel.c $(TRE_DIR)/tre-mem.c \
            $(TRE_DIR)/tre-parse.c $(TRE_DIR)/tre-stack.c $(TRE_DIR)/xmalloc.c
LIBTRE_OBJ:=$(LIBTRE_SRC:%.c=obj/%.o)
LIBTRE_DEP:=$(LIBTRE_SRC:%.c=obj/%.d)

LIBLUA_SRC=src/lualib.c\
           src/external/md5-1.2/src/md5.c\
           src/external/md5-1.2/src/md5lib.c\
           src/external/md5-1.2/src/des56.c\
           src/external/md5-1.2/src/ldes56.c\
					 src/external/md5-1.2/src/compat-5.2.c\
           src/external/luafilesystem-1.5.0/src/lfs.c\
           src/external/lpeg-0.10.2/lpeg.c
LIBLUA_OBJ:=$(LIBLUA_SRC:%.c=obj/%.o)
LIBLUA_DEP:=$(LIBLUA_SRC:%.c=obj/%.d)

LUAMAIN_SRC:=src/external/lua-5.1.5/etc/all.c
LUAMAIN_OBJ:=$(LUAMAIN_SRC:%.c=obj/%.o)
LUAMAIN_DEP:=$(LUAMAIN_SRC:%.c=obj/%.d)

BZ2_DIR:=src/external/bzip2-1.0.6
LIBBZ2_SRC:=$(BZ2_DIR)/blocksort.c $(BZ2_DIR)/huffman.c $(BZ2_DIR)/crctable.c \
            $(BZ2_DIR)/randtable.c $(BZ2_DIR)/compress.c \
            $(BZ2_DIR)/decompress.c $(BZ2_DIR)/bzlib.c
LIBBZ2_OBJ:=$(LIBBZ2_SRC:%.c=obj/%.o)
LIBBZ2_DEP:=$(LIBBZ2_SRC:%.c=obj/%.d)

SQLITE3_DIR:=src/external/sqlite-3.8.7.1
SQLITE3_SRC:=$(SQLITE3_DIR)/sqlite3.c
SQLITE3_OBJ:=$(SQLITE3_SRC:%.c=obj/%.o)
SQLITE3_DEP:=$(SQLITE3_SRC:%.c=obj/%.d)

ZLIB_DIR:=src/external/zlib-1.2.8
ZLIB_SRC:=$(ZLIB_DIR)/adler32.c $(ZLIB_DIR)/compress.c $(ZLIB_DIR)/crc32.c \
          $(ZLIB_DIR)/gzclose.c $(ZLIB_DIR)/gzlib.c $(ZLIB_DIR)/gzread.c \
          $(ZLIB_DIR)/gzwrite.c $(ZLIB_DIR)/uncompr.c $(ZLIB_DIR)/deflate.c \
          $(ZLIB_DIR)/trees.c $(ZLIB_DIR)/zutil.c $(ZLIB_DIR)/inflate.c \
          $(ZLIB_DIR)/infback.c $(ZLIB_DIR)/inftrees.c $(ZLIB_DIR)/inffast.c
ZLIB_OBJ:=$(ZLIB_SRC:%.c=obj/%.o)
ZLIB_DEP:=$(ZLIB_SRC:%.c=obj/%.d)

SAMTOOLS_DIR:=src/external/samtools-0.1.18
SAMTOOLS_SRC:=$(SAMTOOLS_DIR)/bgzf.c \
              $(SAMTOOLS_DIR)/kstring.c \
              $(SAMTOOLS_DIR)/bam_aux.c \
              $(SAMTOOLS_DIR)/bam.c \
              $(SAMTOOLS_DIR)/bam_import.c \
              $(SAMTOOLS_DIR)/sam.c \
              $(SAMTOOLS_DIR)/bam_index.c \
              $(SAMTOOLS_DIR)/bam_pileup.c \
              $(SAMTOOLS_DIR)/bam_lpileup.c \
              $(SAMTOOLS_DIR)/bam_md.c \
              $(SAMTOOLS_DIR)/razf.c \
              $(SAMTOOLS_DIR)/faidx.c \
              $(SAMTOOLS_DIR)/bedidx.c \
              $(SAMTOOLS_DIR)/knetfile.c \
              $(SAMTOOLS_DIR)/bam_sort.c \
              $(SAMTOOLS_DIR)/sam_header.c \
              $(SAMTOOLS_DIR)/bam_reheader.c \
              $(SAMTOOLS_DIR)/kprobaln.c \
              $(SAMTOOLS_DIR)/bam_cat.c
SAMTOOLS_OBJ:=$(SAMTOOLS_SRC:%.c=obj/%.o)
SAMTOOLS_DEP:=$(SAMTOOLS_SRC:%.c=obj/%.d)

EXP_LDLIBS += $(DEPLIBS)
GTSHAREDLIB_LIBDEP += $(DEPLIBS)

SERVER=satta@genometools.org
WWWBASEDIR=/var/www/servers

# process arguments
ifeq ($(assert),no)
  EXP_CPPFLAGS += -DNDEBUG
endif

ifeq ($(shell hmmscan -h > /dev/null 2> /dev/null; echo $$?),0)
  STEST_FLAGS += -hmmer
endif

ifeq ($(cov),yes)
  export CCACHE_DISABLE # ccache cannot handle coverage objects
  GT_CFLAGS += -fprofile-arcs -ftest-coverage
  GT_LDFLAGS += -fprofile-arcs -ftest-coverage
  STEST_FLAGS += -gcov
  opt=no
  # hacks to link shared libs with cov=yes
  ifeq ($(SYSTEM),Linux)
    GT_LDFLAGS += -fprofile-arcs -ftest-coverage
  endif
  ifeq ($(MACHINE),amd64)
    GT_LDFLAGS += $(FPIC)
  endif
endif

ifneq ($(opt),no)
  ifeq ($(findstring clang,$(CC)),clang)
    ifeq ($(lto),yes)
      # clang/LLVM supports link-time optimization with -O4
      # Note that on Linux this usually requires additional configuration of
      # LLVM! Consult http://llvm.org/docs/GoldPlugin.html if problems arise.
      GT_CFLAGS += -O4
      GT_CXXFLAGS += -O4
    else
      GT_CFLAGS += -O3
      GT_CXXFLAGS += -O3
    endif
  else
    GT_CFLAGS += -O3
    GT_CXXFLAGS += -O3
  endif
endif

ifeq ($(prof),yes)
  GT_CFLAGS += -pg
  GT_LDFLAGS += -pg
endif

ifeq ($(curl),yes)
  EXP_CPPFLAGS += -DCURLDEF
  GT_CPPFLAGS += -I/usr/include/curl -I/usr/local/include/curl
  EXP_LDLIBS += -lcurl
endif

ifdef testthreads
  STEST_FLAGS += -threads $(testthreads)
endif

ifdef gttestdata
  STEST_FLAGS += -gttestdata $(gttestdata)
endif

ifeq ($(memcheck),yes)
  STEST_FLAGS += -memcheck
endif

ifeq ($(64bit),yes)
  ifeq ($(32bit),yes)
    $(error Variables set contradictory: 64bit/32bit)
  endif
endif

ifeq ($(64bit),no)
  ifeq ($(32bit),no)
    $(error Variables set contradictory: 64bit/32bit)
  endif
endif

# system specific stuff (concerning 64bit compilation)
ifeq ($(SYSTEM),Darwin)
  ifeq ($(64bit),no)
    m32=yes
  else
    ifeq ($(32bit),yes)
      m32=yes
    else
      m64=yes
    endif
  endif
endif

ifneq ($(SYSTEM),Windows)
  EXP_CPPFLAGS += -DLUA_DL_DLOPEN
  ifneq ($(SYSTEM),FreeBSD)
    LUA_LDLIB:=-ldl
    EXP_LDLIBS += -ldl
  endif
endif

ifneq ($(SYSTEM),Windows)
  EXP_CPPFLAGS += -DLUA_USE_MKSTEMP
endif

ifeq ($(64bit),no)
  ifeq ($(MACHINE),x86_64)
    m32=yes
  endif
  BIT=32bit
else
  ifeq ($(32bit),yes)
    ifeq ($(MACHINE),x86_64)
      m32=yes
    endif
    BIT=32bit
  else
    ifneq ($(MACHINE),x86_64)
      m64=yes
    endif
    BIT=64bit
    SPLINTD:=-D_LP64
  endif
endif

ifeq ($(m32),yes)
  GT_CFLAGS += -m32
  GT_LDFLAGS += -m32
  SQLITE_CFLAGS += -m32
endif

ifeq ($(m64),yes)

=== debian/changelog ===
genometools (1.5.9+ds-4) unstable; urgency=medium

  * Switch asciidoc dependency to asciidoc-base.
    Closes: #850341
  * Fix minor spelling issues in help output.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 06 Jan 2017 10:13:08 +0100

genometools (1.5.9+ds-3) unstable; urgency=medium

  * Remove hardcoded number of threads from testsuite call.
    Closes: #836283
  * Make build reproducible.
    - Remove absolute include path to make __FILE__ use relative paths.
    - Remove PDF trailer IDs.
    - Remove build directory from CFLAGS dumped to gt_config.h.
  * Enable verbose build output.
  * Add dependency on docbook-xml.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 01 Sep 2016 17:16:40 +0000

genometools (1.5.9+ds-2) unstable; urgency=medium

  * Use fixed date in split manual source.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 23 Jul 2016 10:54:26 +0000

genometools (1.5.9+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update patches.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 22 Jul 2016 11:36:37 +0000

genometools (1.5.8+ds-4) unstable; urgency=medium

  * Make documentation builds reproducible.
    - Add extra date fields to developer's guide and
      matstat manual.
  * Update uploader email address.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 02 Jul 2016 12:24:14 +0000

genometools (1.5.8+ds-3) unstable; urgency=medium

  * Remove explicit -m32 and -m64.
  * Fix dates in manuals (cf upstream PR #780) for reproducibility.
  * Remove unnecessary maintainer scripts.
  * Update upstream metadata.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 27 Apr 2016 09:25:08 +0000

=== debian/control ===
Source: genometools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               liblua5.1-0-dev,
               lua-md5-dev,
               lua-filesystem-dev,
               lua-lpeg-dev,
               libcairo2-dev,
               zlib1g-dev,
               libbz2-dev,
               libexpat1-dev,
               libsqlite3-dev,
               libbam-dev,
               libpango1.0-dev,
               libtre-dev,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-fonts-extra,
               latex-xcolor,
               texlive-fonts-recommended,
               python,
               asciidoc-base,
               libxml2-utils,
               xsltproc,
               ruby,
               docbook-xsl,
               docbook-xml,
               faketime,
               imagemagick
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/genometools.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/genometools.git
Homepage: http://genometools.org

Package: genometools
Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
Depends: ${shlibs:Depends},
         ${misc:Depends},
         genometools-common
Description: versatile genome analysis toolkit
 The GenomeTools contains a collection of useful tools for biological
 sequence analysis and -presentation combined into a single binary.
 .
 The toolkit contains binaries for sequence and annotation handling, sequence
 compression, index structure generation and access, annotation visualization,
 and much more.

Package: genometools-common
Architecture: all
Depends: ${misc:Depends},
         liblua5.1-0,
         libcairo2,
         zlib1g,
         libbz2-1.0,
         libexpat1,
         libpth20,
         libsqlite3-0,
         libpango-1.0-0,
         libpangocairo-1.0-0,
         libtre5
Description: shared data files for GenomeTools
 This package contains configuration files such as alphabet
 transformations, style files, etc. required to use the GenomeTools
 executable and/or library.

Package: libgenometools0
Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         genometools-common
Description: versatile genome analysis library
 This package contains the GenomeTools shared library and header
 files. It offers efficient sequence analysis components, available
 via an object-oriented interface.
 .
 Besides basic bioinformatics data structures, the library contains components
 for sequence and annotation handling, sequence compression, index structure
 generation and access, efficient matching, annotation visualization and much
 more.

Package: libgenometools0-dev
Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgenometools0 (= ${binary:Version})
Description: development files for GenomeTools
 This package contains the GenomeTools static library and necessary
 header files.
 .
 Besides basic bioinformatics data structures, the library contains components
 for sequence and annotation handling, sequence compression, index structure
 generation and access, efficient matching, annotation visualization and much
 more.

Package: genometools-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation for GenomeTools
 This package contains API documentation and tool documentation for
 GenomeTools. The GenomeTools toolkit contains binaries for sequence and
 annotation handling, sequence compression, index structure generation and
 access, annotation visualization, and much more.

Package: genometools-dbg
Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         genometools (= ${binary:Version}) | libgenometools0 (= ${binary:Version})
Description: versatile genome analysis toolkit, with debug symbols
 This package contains debug information stripped from the GenomeTools.
 You may decide to install it to help identifying issues, typically
 to help communication with upstream developers.

Package: python-genometools
Architecture: all
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         libgenometools0
Description: Python bindings for genometools
 Partial Python2 bindings for the GenomeTools library. Besides basic
 bioinformatics data structures, the library contains components for sequence
 and annotation handling, sequence compression, index structure generation and
 access, efficient matching, annotation visualization and much more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DESTDIR=$(CURDIR)/debian/tmp
export DH_ALWAYS_EXCLUDE=.gitignore
export PATH := $(CURDIR)/debian/strip-nondeterminism:$(PATH)
export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DARCH:=$(shell dpkg-architecture | fgrep DEB_TARGET_ARCH= | cut -f 2 -d'=')
BITS:=$(shell dpkg-architecture | fgrep DEB_TARGET_ARCH_BITS= | cut -f 2 -d'=')


ifeq ($(DARCH),x32)
  X32:=yes
else
  X32:=no
endif

ifeq ($(BITS),64)
  64BIT:=yes
else
  64BIT:=no
endif

# check whether faketime can be used
ifeq ($(shell faketime 'last friday' date > /dev/null 2> /dev/null; echo $$?),0)
  FAKETIME:=faketime -f "`TZ=UTC date -d @$(SOURCE_DATE_EPOCH) +'%Y-%m-%d %H:%M:%S'`"
endif

%:
	dh $@ --with python2

override_dh_auto_clean:
	mkdir -p obj
	$(MAKE) cleanup
	cd doc/manuals; $(MAKE) cleanup
	# should be deleted inside doc/manuals/Makefile
	rm -f doc/manuals/annotationsketch.out \
	      doc/manuals/api_reference.tex    \
	      doc/manuals/gtscript_reference.tex
	find doc . -name "*.toc" -delete
	find testdata \( -name '*.ois' -or -name '*.sds' -or -name '*.esq' -or \
	      -name '*.ssp' -or -name '*.des' -or -name "*.md5"  \) -and \( -not \
	      -name '*foo.32.*' -not -name '*foo.64.*' \) -delete
	rm -f www/genometools.org/htdocs/images/callbacks.png \
	      www/genometools.org/htdocs/images/parsed.png    \
	      www/genometools.org/htdocs/images/constructed.png \
	      doc/manuals/annotationsketch.pdf
	rm -f www/genometools.org/htdocs/examples.html \
	      www/genometools.org/htdocs/libgenometools.html
	rm -rf gtpython/build
	rm -rf obj

override_dh_auto_build:
	$(FAKETIME) dh_auto_build -- verbose=yes useshared=yes x32=$(X32) 64bit=$(64BIT) errorcheck=no all docs manuals

override_dh_auto_test:
	bin/gt -test
	cd testsuite; ./testsuite.rb -keywords 'gt_sketch and not gt_python and not gt_ruby'

override_dh_auto_install:
	dh_auto_install -- installmanpages useshared=yes \
	  x32=$(X32) 64bit=$(64BIT) errorcheck=no prefix=$(DESTDIR)/usr
	dh_auto_install --sourcedirectory=gtpython \
	  --destdir=$(CURDIR)/debian/python-genometools

override_dh_strip:
	dh_strip --dbg-package=genometools-dbg

## genometools 1.5.10%2Bds

=== debian/tests/control ===
Tests: build-lib
Depends: libgenometools0-dev, libgenometools0, build-essential

Tests: python-lib
Depends: python-genometools, python

## genometools 1.5.10+ds

=== debian/changelog ===
genometools (1.5.10+ds-3) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Do not parse d/changelog
  * Remove unused patches

 -- Andreas Tille <tille@debian.org>  Sun, 28 Oct 2018 14:54:51 +0100

genometools (1.5.10+ds-2) unstable; urgency=medium

  * Ensure that src/external is not repopulated by patches.
    Closes: #883848
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 08 Dec 2017 12:58:57 +0100

genometools (1.5.10+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop and update patches applied upstream.
  * Bump Standards-Version.
  * Drop obsolete -dbg package.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 06 Aug 2017 16:33:26 +0200

genometools (1.5.9+ds-5) unstable; urgency=medium

  * Change test data to make run less problematic.
    This addresses an FTBFS in Ubuntu. Thanks to Graham Inggs for the hint.
  * Switch latex-xcolor dependency to texlive-latex-recommended.
    Thanks to Norbert Preining for the hint.
    Closes: #865248

 -- Sascha Steinbiss <satta@debian.org>  Tue, 10 Jan 2017 17:14:25 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-python,
                liblua5.1-0-dev,
                lua-md5-dev,
@@ -21,7 +21,7 @@
                texlive-latex-base,
                texlive-latex-extra,
                texlive-fonts-extra,
-               latex-xcolor,
+               texlive-latex-recommended,
                texlive-fonts-recommended,
                python,
                asciidoc-base,
@@ -32,9 +32,9 @@
                docbook-xml,
                faketime,
                imagemagick
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/genometools.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/genometools.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/genometools
+Vcs-Git: https://salsa.debian.org/med-team/genometools.git
 Homepage: http://genometools.org
 
 Package: genometools
@@ -109,18 +109,6 @@
  annotation handling, sequence compression, index structure generation and
  access, annotation visualization, and much more.
 
-Package: genometools-dbg
-Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
-Section: debug
-Priority: extra
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         genometools (= ${binary:Version}) | libgenometools0 (= ${binary:Version})
-Description: versatile genome analysis toolkit, with debug symbols
- This package contains debug information stripped from the GenomeTools.
- You may decide to install it to help identifying issues, typically
- to help communication with upstream developers.
-
 Package: python-genometools
 Architecture: all
 Section: python

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,13 @@
 export DESTDIR=$(CURDIR)/debian/tmp
 export DH_ALWAYS_EXCLUDE=.gitignore
 export PATH := $(CURDIR)/debian/strip-nondeterminism:$(PATH)
-export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
+
+include /usr/share/dpkg/default.mk
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DARCH:=$(shell dpkg-architecture | fgrep DEB_TARGET_ARCH= | cut -f 2 -d'=')
 BITS:=$(shell dpkg-architecture | fgrep DEB_TARGET_ARCH_BITS= | cut -f 2 -d'=')
-
 
 ifeq ($(DARCH),x32)
   X32:=yes
@@ -57,14 +58,13 @@
 	$(FAKETIME) dh_auto_build -- verbose=yes useshared=yes x32=$(X32) 64bit=$(64BIT) errorcheck=no all docs manuals
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	bin/gt -test
 	cd testsuite; ./testsuite.rb -keywords 'gt_sketch and not gt_python and not gt_ruby'
+endif
 
 override_dh_auto_install:
 	dh_auto_install -- installmanpages useshared=yes \
 	  x32=$(X32) 64bit=$(64BIT) errorcheck=no prefix=$(DESTDIR)/usr
 	dh_auto_install --sourcedirectory=gtpython \
 	  --destdir=$(CURDIR)/debian/python-genometools
-
-override_dh_strip:
-	dh_strip --dbg-package=genometools-dbg

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repack,compression=xz \
https://github.com/genometools/genometools/tags .*/v?(\d.*)\.zip

## genometools 1.6.0+ds

=== debian/changelog ===
genometools (1.6.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Use debhelper-compat.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 06 Jan 2020 12:39:45 +0100

genometools (1.5.10+ds-5) unstable; urgency=medium

  * Source upload to enable transition to testing.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 17 Dec 2019 22:31:28 +0100

genometools (1.5.10+ds-4) unstable; urgency=medium

  * Build Python3 bindings package instead of Python2.
  * Use debhelper 12.
  * Bump Standards-Version.
  * Update lintian override location and tags.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 08 Sep 2019 17:11:59 +0200

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 endif
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_clean:
 	mkdir -p obj
@@ -66,5 +66,5 @@
 override_dh_auto_install:
 	dh_auto_install -- installmanpages useshared=yes \
 	  x32=$(X32) 64bit=$(64BIT) errorcheck=no prefix=$(DESTDIR)/usr
-	dh_auto_install --sourcedirectory=gtpython \
-	  --destdir=$(CURDIR)/debian/python-genometools
+	dh_auto_install --sourcedirectory=gtpython --buildsystem=pybuild \
+	  --destdir=$(CURDIR)/debian/python3-genometools

## genometools 1.6.1%2Bds

=== debian/tests/control ===
Tests: build-lib
Depends: libgenometools0-dev, libgenometools0, build-essential

Tests: python-lib
Depends: python3-genometools, python3

## genometools 1.6.1+ds

=== debian/changelog ===
genometools (1.6.1+ds-3) unstable; urgency=medium

  * Add patch to fix build on GCC 10.
    Closes: #957268

 -- Sascha Steinbiss <satta@debian.org>  Wed, 22 Jul 2020 13:00:06 +0200

genometools (1.6.1+ds-2) unstable; urgency=medium

  * Use static images for AnnotationSketch documentation.
    This improves reproducibility in cases where (on some platforms)
    different runs would create different images.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 09 Feb 2020 09:33:24 +0100

genometools (1.6.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 08 Jan 2020 21:20:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12),
+               debhelper-compat (= 12),
                dh-python,
                liblua5.1-0-dev,
                lua-md5-dev,
@@ -23,7 +24,8 @@
                texlive-fonts-extra,
                texlive-latex-recommended,
                texlive-fonts-recommended,
-               python,
+               python3-all,
+               python3-setuptools,
                asciidoc-base,
                libxml2-utils,
                xsltproc,
@@ -32,7 +34,7 @@
                docbook-xml,
                faketime,
                imagemagick
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/genometools
 Vcs-Git: https://salsa.debian.org/med-team/genometools.git
 Homepage: http://genometools.org
@@ -109,15 +111,15 @@
  annotation handling, sequence compression, index structure generation and
  access, annotation visualization, and much more.
 
-Package: python-genometools
+Package: python3-genometools
 Architecture: all
 Section: python
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python:Depends},
+         ${python3:Depends},
          libgenometools0
-Description: Python bindings for genometools
- Partial Python2 bindings for the GenomeTools library. Besides basic
+Description: Python3 bindings for genometools
+ Partial Python3 bindings for the GenomeTools library. Besides basic
  bioinformatics data structures, the library contains components for sequence
  and annotation handling, sequence compression, index structure generation and
  access, efficient matching, annotation visualization and much more.

=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,7 @@
 	rm -rf obj
 
 override_dh_auto_build:
+	cp debian/doc-imgs/*png www/genometools.org/htdocs/images
 	$(FAKETIME) dh_auto_build -- verbose=yes useshared=yes x32=$(X32) 64bit=$(64BIT) errorcheck=no all docs manuals
 
 override_dh_auto_test:

## genometools 1.6.2%2Bds

=== Makefile ===
--- 
+++ 
@@ -65,7 +65,7 @@
               -I$(CURDIR)/src/external/expat-2.0.1/lib \
               -I$(CURDIR)/src/external/bzip2-1.0.6 \
               -I$(CURDIR)/src/external/samtools-0.1.18 \
-              -I$(CURDIR)/src/external/sqlite-3.8.7.1 \
+              -I$(CURDIR)/src/external/sqlite-3.33.0 \
               -I$(CURDIR)/src/external/tre/include
 endif
 
@@ -78,6 +78,7 @@
 	            $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --cflags-only-I pangocairo) \
 	            $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --cflags-only-I glib-2.0)
   endif
+  GOTAGS:=-tags cairo
 endif
 
 ifneq ($(fpic),no)
@@ -188,7 +189,7 @@
 LIBBZ2_OBJ:=$(LIBBZ2_SRC:%.c=obj/%.o)
 LIBBZ2_DEP:=$(LIBBZ2_SRC:%.c=obj/%.d)
 
-SQLITE3_DIR:=src/external/sqlite-3.8.7.1
+SQLITE3_DIR:=src/external/sqlite-3.33.0
 SQLITE3_SRC:=$(SQLITE3_DIR)/sqlite3.c
 SQLITE3_OBJ:=$(SQLITE3_SRC:%.c=obj/%.o)
 SQLITE3_DEP:=$(SQLITE3_SRC:%.c=obj/%.d)
@@ -324,8 +325,10 @@
 ifneq ($(SYSTEM),Windows)
   EXP_CPPFLAGS += -DLUA_DL_DLOPEN
   ifneq ($(SYSTEM),FreeBSD)
+  ifneq ($(SYSTEM),OpenBSD)
     LUA_LDLIB:=-ldl
     EXP_LDLIBS += -ldl
+  endif
   endif
 endif

## genometools 1.6.2+ds

=== doc/manuals/Makefile ===
ALL=readjoiner.pdf\
    hop.pdf\
    ltrharvest.pdf\
    ltrdigest.pdf\
    uniquesub.pdf\
    matstat.pdf\
    mgth.pdf\
    packedindex.pdf\
    repfind.pdf\
    tallymer.pdf\
    tagerator.pdf\
    genomediff.pdf

TALLYMERTMP=tallymer-tmp
TAGERATORTMP=tagerator-tmp
TESTDATA=../../testdata

all:${ALL}

annotationsketch: annotationsketch.pdf

%.pdf:%.tex %-pdf.bbl
	-test -e $*-pdf.aux && mv $*-pdf.aux $*.aux
	-test -e $*-pdf.bbl && mv $*-pdf.bbl $*.bbl
	pdflatex $<
	pdflatex $<
	mv $*.aux $*-pdf.aux
	-test -e $*.bbl && mv $*.bbl $*-pdf.bbl

.PRECIOUS: %-pdf.bbl %-dvi.bbl %-dvi.aux %-pdf.aux
%-pdf.bbl: gtmanuals.bib %-pdf.aux
	-test -e $*-pdf.aux && mv $*-pdf.aux $*.aux
	-bibtex $*
	test -e $@ || touch $@
	-diff $@ $*.bbl || mv $*.bbl $@ && rm -f $*.bbl
	mv $*.aux $*-pdf.aux

%-pdf.aux: %.tex
	-test -e $@ && mv $@ $*.aux
	pdflatex $< && rm $*.pdf
	mv $*.aux $@

read1.fna:${TESTDATA}/at1MB
	head -n 6999 $< > $@

read2.fna:${TESTDATA}/at1MB
	echo ">" > $@
	tail -n 6945 $< >> $@

U89959.fna:${TESTDATA}/U89959_genomic.fas
	cp $< $@

${TALLYMERTMP}.tex:tallymer.tex read1.fna read2.fna U89959.fna
	./findemptyoutfiles.sh
	./execcommand.pl $< > $@

tallymer.pdf:${TALLYMERTMP}.tex
	pdflatex ${TALLYMERTMP}
	pdflatex ${TALLYMERTMP}
	mv ${TALLYMERTMP}.pdf $@

tallymer.dvi:${TALLYMERTMP}.tex
	latex ${TALLYMERTMP}
	latex ${TALLYMERTMP}
	mv ${TALLYMERTMP}.dvi $@

${TAGERATORTMP}.tex:tagerator.tex pck-human.prj Q1.gz
	./findemptyoutfiles.sh
	./execcommand.pl $< > $@

pck-human.prj:${TESTDATA}/at1MB
	../../bin/gt packedindex mkindex -dna -dir rev -parts 12 -bsize 10 \
                      -sprank -locfreq 32 -tis -ssp -indexname pck-human\
                      -db ${TESTDATA}/at1MB

Q1.gz:${TESTDATA}/Q1.gz
	cp $< $@

tagerator.pdf:${TAGERATORTMP}.tex
	pdflatex ${TAGERATORTMP}
	pdflatex ${TAGERATORTMP}
	mv ${TAGERATORTMP}.pdf $@

tagerator.dvi:${TAGERATORTMP}.tex
	latex ${TAGERATORTMP}
	latex ${TAGERATORTMP}
	mv ${TAGERATORTMP}.dvi $@

#%.pdf:%.tex
	#pdflatex $<
	#pdflatex $<

#%.dvi:%.tex
	#latex $<
	#latex $<

clean:
	${RM} *.aux  *.log *.bbl  *.blg *.dvi *.mer *.mct *.mbd comment.cut
	${RM} *.out *.toc
	${RM} U89959.fna read[12].fna 
	${RM} reads.al1 reads.esq reads.lcp reads.llv reads.prj reads.suf
	${RM} ${TALLYMERTMP}.tex
	${RM} ${TAGERATORTMP}.tex Q1.gz pck-human.*

cleanup:clean
	${RM} ${ALL}

=== debian/changelog ===
genometools (1.6.2+ds-3) unstable; urgency=medium

  [ Nilesh Patra ]
  * Use arch:any instead of the elaborate arch list that includes all
    release archs anyway
    Closes: #1024982

  [ Andreas Tille ]
  * Create proper file name in watch file
  * Delete debian/gbp.conf
  * Standards-Version: 4.6.1 (routine-update)
  * Add salsa-ci file (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 15:54:54 +0100

genometools (1.6.2+ds-2) unstable; urgency=medium

  * Upload to unstable post-release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 17 Aug 2021 10:21:36 +0200

genometools (1.6.2+ds-1) experimental; urgency=medium

  * New upstream release.
  * Remove patch applied upstream.
  * Bump Standards-Version.
  * Use debhelper 13.
  * Set Rules-Requires-Root: no.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 24 Jun 2021 20:38:56 +0200

genometools (1.6.1+ds-5~exp1) experimental; urgency=medium

  * Remove dependency on libpth20.
    Closes: #987297

 -- Sascha Steinbiss <satta@debian.org>  Wed, 21 Apr 2021 20:00:56 +0200

=== debian/rules ===
--- 
+++ 
@@ -69,3 +69,6 @@
 	  x32=$(X32) 64bit=$(64BIT) errorcheck=no prefix=$(DESTDIR)/usr
 	dh_auto_install --sourcedirectory=gtpython --buildsystem=pybuild \
 	  --destdir=$(CURDIR)/debian/python3-genometools
+
+override_dh_missing:
+	dh_missing --list-missing

## genometools 1.6.5+ds

=== Makefile ===
--- 
+++ 
@@ -22,12 +22,13 @@
   HAS_PKGCONFIG:=yes
   # Fix for Mac OS X manual building with Homebrew
   OLD_PKG_CONFIG_PATH:=$(PKG_CONFIG_PATH)
-  OVERRIDE_PC_PATH:=PKG_CONFIG_PATH=$(OLD_PKG_CONFIG_PATH):/usr/local/lib/pkgconfig:/opt/X11/lib/pkgconfig
+  OVERRIDE_PC_PATH:=PKG_CONFIG_PATH=$(OLD_PKG_CONFIG_PATH):/opt/homebrew/lib/pkgconfig:/usr/local/lib/pkgconfig:/opt/X11/lib/pkgconfig
 else
   HAS_PKGCONFIG:=no
 endif
 
 # add necessary shared lib dependencies instead of building them ourselves
+ZLIB_DIR:=src/external/zlib-1.3.0.1
 ifeq ($(useshared),yes)
   ifeq ($(HAS_PKGCONFIG),yes)
     DEPLIBS:=-lbz2 \
@@ -57,7 +58,7 @@
   endif
 else
   DEPLIBS:=
-  INCLUDEOPT+=-I$(CURDIR)/src/external/zlib-1.2.8 \
+  INCLUDEOPT+=-I$(CURDIR)/${ZLIB_DIR} \
               -I$(CURDIR)/src/external/md5-1.2/src \
               -I$(CURDIR)/src/external/lua-5.1.5/src \
               -I$(CURDIR)/src/external/luafilesystem-1.5.0/src \
@@ -115,7 +116,7 @@
 
 # try to set RANLIB automatically
 SYSTEM?=$(shell uname -s)
-MACHINE:=$(shell uname -m)
+MACHINE?=$(shell uname -m)
 ifeq ($(SYSTEM),Darwin)
   RANLIB:=ranlib
   NO_STATIC_LINKING:=defined
@@ -194,7 +195,6 @@
 SQLITE3_OBJ:=$(SQLITE3_SRC:%.c=obj/%.o)
 SQLITE3_DEP:=$(SQLITE3_SRC:%.c=obj/%.d)
 
-ZLIB_DIR:=src/external/zlib-1.2.8
 ZLIB_SRC:=$(ZLIB_DIR)/adler32.c $(ZLIB_DIR)/compress.c $(ZLIB_DIR)/crc32.c \
           $(ZLIB_DIR)/gzclose.c $(ZLIB_DIR)/gzlib.c $(ZLIB_DIR)/gzread.c \
           $(ZLIB_DIR)/gzwrite.c $(ZLIB_DIR)/uncompr.c $(ZLIB_DIR)/deflate.c \
@@ -362,4 +362,3 @@
   SQLITE_CFLAGS += -m32
 endif
 
-ifeq ($(m64),yes)

=== src/examples/Makefile ===
# set prefix for libgenometools
prefix ?= /usr/local

CC:=gcc
GT_CFLAGS:=-Wall -Werror -Wunused-parameter -g -Os -pipe \
           -I$(prefix)/include/genometools \
           -I/usr/include/cairo \
           -I/usr/local/include/cairo \
           -I/sw/include/cairo \
           -I/opt/local/include/cairo
LD:=$(CC)
GT_LDFLAGS:=-L$(prefix)/lib \
            -L/usr/X11R6/lib \
            -L/usr/local/lib \
            -L/opt/local/lib

all: gff3validator

gff3validator: gff3validator.o
	$(LD) $(LDFLAGS) $(GT_LDFLAGS) $< -lm -lgenometools -lcairo -o $@

# generic compilation rule which creates dependency file on the fly
%.o: %.c
	$(CC) -c $< -o $@ $(CFLAGS) $(GT_CFLAGS) -MT $@ -MMD -MP -MF $(@:.o=.d)

# read dependencies
-include $(wildcard *.d)

.PHONY: clean
clean:
	rm -f *.[od]

=== debian/changelog ===
genometools (1.6.5+ds-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove wrong hard-coded test dep.

 -- Steve Langasek <vorlon@debian.org>  Sat, 27 Apr 2024 01:41:52 +0000

genometools (1.6.5+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062071

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 16:25:48 +0000

genometools (1.6.5+ds-2) unstable; urgency=medium

  * Facilitate building twice from the same source directory.
    Closes: #1044467

 -- Sascha Steinbiss <satta@debian.org>  Thu, 26 Oct 2023 00:08:09 +0200

genometools (1.6.5+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 24 Oct 2023 13:28:17 +0200

genometools (1.6.4+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop README from docs list (removed upstream).

 -- Sascha Steinbiss <satta@debian.org>  Sun, 08 Oct 2023 22:58:24 +0200

genometools (1.6.3+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 19 Sep 2023 23:26:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12),
-               debhelper-compat (= 12),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 13),
+               debhelper-compat (= 13),
                dh-python,
                liblua5.1-0-dev,
                lua-md5-dev,
@@ -34,13 +34,14 @@
                docbook-xml,
                faketime,
                imagemagick
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/med-team/genometools
 Vcs-Git: https://salsa.debian.org/med-team/genometools.git
 Homepage: http://genometools.org
 
 Package: genometools
-Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          genometools-common
@@ -60,7 +61,6 @@
          zlib1g,
          libbz2-1.0,
          libexpat1,
-         libpth20,
          libsqlite3-0,
          libpango-1.0-0,
          libpangocairo-1.0-0,
@@ -70,8 +70,11 @@
  transformations, style files, etc. required to use the GenomeTools
  executable and/or library.
 
-Package: libgenometools0
-Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
+Package: libgenometools0t64
+Provides: ${t64:Provides}
+Replaces: libgenometools0
+Breaks: libgenometools0 (<< ${source:Version})
+Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -87,11 +90,11 @@
  more.
 
 Package: libgenometools0-dev
-Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
+Architecture: any
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgenometools0 (= ${binary:Version})
+         libgenometools0t64 (= ${binary:Version})
 Description: development files for GenomeTools
  This package contains the GenomeTools static library and necessary
  header files.
@@ -105,6 +108,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: documentation for GenomeTools
  This package contains API documentation and tool documentation for
  GenomeTools. The GenomeTools toolkit contains binaries for sequence and
@@ -117,7 +121,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         libgenometools0
+         libgenometools0t64
 Description: Python3 bindings for genometools
  Partial Python3 bindings for the GenomeTools library. Besides basic
  bioinformatics data structures, the library contains components for sequence

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/genometools/genometools/tags .*/v?(\d.*)\.tar\.gz

## genometools 1.6.6%2Bds

=== debian/tests/control ===
Tests: build-lib
Depends: libgenometools0-dev, build-essential

Tests: python-lib
Depends: python3-genometools, python3

## genometools 1.6.6+ds

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 endif
 
 # add necessary shared lib dependencies instead of building them ourselves
-ZLIB_DIR:=src/external/zlib-1.3.0.1
+ZLIB_DIR:=src/external/zlib-1.3.1
 ifeq ($(useshared),yes)
   ifeq ($(HAS_PKGCONFIG),yes)
     DEPLIBS:=-lbz2 \
@@ -99,7 +99,7 @@
 EXP_CPPFLAGS:=$(CPPFLAGS)
 EXP_LDLIBS:=$(LIBS) -lm
 # ...while those starting with GT_ are for internal purposes only
-GT_CFLAGS:=-g -Wall -Wunused-parameter -pipe $(FPIC) -Wpointer-arith -Wno-unknown-pragmas
+GT_CFLAGS:=-g -Wall -Wunused-parameter -pipe $(FPIC) -Wpointer-arith -Wno-unknown-pragmas -Wno-macro-redefined
 # expat needs -DHAVE_MEMMOVE
 # zlib needs -D_LARGEFILE64_SOURCE=1 -DHAVE_HIDDEN
 EXT_FLAGS:= -DHAVE_MEMMOVE -D_LARGEFILE64_SOURCE=1 -DHAVE_HIDDEN
@@ -230,7 +230,7 @@
 GTSHAREDLIB_LIBDEP += $(DEPLIBS)
 
 SERVER=satta@genometools.org
-WWWBASEDIR=/var/www/servers
+WWWBASEDIR=/var/www/
 
 # process arguments
 ifeq ($(assert),no)
@@ -360,5 +360,3 @@
   GT_CFLAGS += -m32
   GT_LDFLAGS += -m32
   SQLITE_CFLAGS += -m32
-endif
-

=== doc/devguide/Makefile ===
latexfile = devguide

TEX = pdflatex

$(latexfile).pdf : $(latexfile).tex
	while ($(TEX) --shell-escape $(latexfile) ; \
	grep -q "Rerun to get cross" $(latexfile).log ) do true ; \
	done


pdf : $(latexfile).pdf

$(latexfile).ps : $(latexfile).dvi
	dvips -o  $(latexfile).ps $(latexfile).dvi

ps : $(latexfile).ps 

clean: 
	rm -f $(latexfile).pdf *.aux *.ps *.dvi *.log *.out *.toc *.bak

=== debian/changelog ===
genometools (1.6.6+ds-2) unstable; urgency=medium

  * Add patch to fix building with non-deterministic ordering.
    Closes: #1105339
  * Add missing Origin field to patch use-mx32.
  * Remove libgenometools0t64.lintian-overrides.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 10 Nov 2025 00:35:41 +0100

genometools (1.6.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches applied upstream.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 06 Oct 2025 20:40:58 +0200

genometools (1.6.5+ds-3) unstable; urgency=medium

  * Add patch to fix FTBFS.
    Closes: #1114122
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 30 Sep 2025 19:28:58 +0200

genometools (1.6.5+ds-2.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Lukas Märdian <slyon@debian.org>  Wed, 31 Jan 2024 09:13:33 +0000

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                docbook-xml,
                faketime,
                imagemagick
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/med-team/genometools
 Vcs-Git: https://salsa.debian.org/med-team/genometools.git
